<template lang="pug">

	#calendario
		.titular.seccion
			.contenedor
				h1 Calendario

		.contenido.seccion: .contenedor
			.almanaque
				.mes
					span Junio
					img.icono(src="~/assets/img/chevron-sur-celeste.svg", alt="")

				.semana
					each dia in ["LU","MA","MI","JU","VI","SA","DO"]
						.dia= dia

				- hoy = 6
				.dias
					- var n = 1;
					while n < 31
						.dia(class=(n==hoy?"hoy":""))= n
						- n++

				.enlaces
					a(href="#")
						span Descargar el Calendario
						img.icono(src="~/assets/img/ico-descargar-celeste.svg", alt="")

			.listas
				.lista
					h2 #[strong Programas] (por fecha)
					.caja
						.mes
							span Junio
							img.icono(src="~/assets/img/chevron-sur-celeste.svg", alt="")
						.eventos
							.item
								.dia 25
								.descripcion #[strong Charla:] Administración de Negocios - Executive MBA

								.enlaces
									a(href="#")
										img.icono(src="~/assets/img/ico-malla-celeste.svg", alt="")
										span Agendar
								img.chevron(src="~/assets/img/chevron-este.svg", alt="")

							.item
								.dia 28
								.descripcion Doctorado en Educación
								img.chevron(src="~/assets/img/chevron-este.svg", alt="")

							.item
								.dia 29
								.descripcion #[strong Charla:] Gestión de la Educación
								.enlaces
									a(href="#")
										img.icono(src="~/assets/img/ico-malla-celeste.svg", alt="")
										span Agendar

								img.chevron(src="~/assets/img/chevron-este.svg", alt="")

							.item
								.dia 29
								.descripcion Maestría en Educación: Docencia en Educación Superior
								img.chevron(src="~/assets/img/chevron-este.svg", alt="")

							.item
								.dia 30
								.descripcion Maestría en Educación: Gestión de la Educación
								img.chevron(src="~/assets/img/chevron-este.svg", alt="")


				.lista
					h2 #[strong eventos]
					.caja
						.mes
							span Junio
							img.icono(src="~/assets/img/chevron-sur-celeste.svg", alt="")
						.eventos
							.vacio No hay eventos disponibles

</template>


<style lang="stylus">

#calendario
	background: white;

	.contenedor
		@media (min-width: 768px)
			max-width 1280px
			padding 2rem 0
			align-items flex-start
			flex-direction column

	.titular
		@media (min-width: 768px)
			background: #FFFFFF;
			position relative
			z-index 1
			margin -1rem 0 0
			border-radius 1rem
			padding 5rem 2rem
			padding-bottom 0

		.contenedor
			@media (min-width: 768px)
				max-width 1280px
				align-items stretch
				flex-direction column
				text-align center
				padding-bottom 0

		h1
			flex 0 0 auto

			font-weight: 600;
			font-size: 60px;
			line-height: 125%;
			letter-spacing: -0.015em;
			text-transform: uppercase;
			color: #00195A;
			margin 0 0 2rem
			position relative
			@media (max-width: 768px)
				font-size: 30px
				line-height: 140%
				letter-spacing: -0.01em
				margin 0 0 1.5rem
				font-weight: bold

			&::after
				content: ""
				display: block
				position: absolute
				bottom 0
				right 0
				width: 87.25px;
				height: 7.87px;
				background: #00195A;
				@media (max-width: 768px)
					content: none



	.contenido
		margin 0 0 4rem

		.contenedor
			padding 4rem 1.5rem
			max-width 1280px;
			display grid
			grid-template-areas "listas almanaque"
			grid-template-columns 1fr auto
			grid-gap 5rem
			@media (max-width: 768px)
				padding 1rem 0rem
				display block

			.almanaque
				grid-area almanaque
				padding 0.5rem 1rem
				background: #F8F8FA;
				border-radius: 6px;
				@media (max-width: 768px)
					display none

				.mes
					display flex
					justify-content space-between
					border-bottom: 2px solid #C7C7D3;
					padding 0.5rem 0.5rem 1rem
					position relative
					margin 0 0 1.25rem
					font-size: 16px;
					line-height: 150%;
					letter-spacing: -0.015em;
					text-transform: uppercase;

					color: #4C4B5C;



				.semana
					display grid
					grid-template-columns repeat(7, 30px)
					grid-gap 1rem
					margin 0 0 1.25rem

					.dia
						text-align center
						font-weight: 300;
						font-size: 16px;
						line-height: 150%;

						letter-spacing: -0.015em;
						text-transform: uppercase;
						color: #C7C7D3;

				.dias
					display grid
					grid-template-columns repeat(7, 30px)
					grid-auto-rows 30px
					grid-gap 1rem
					align-items stretch
					justify-items stretch
					padding .5rem 0 2rem
					border-bottom 1px dashed #A5A5A5;

					.dia
						text-align center
						font-size: 16px;
						line-height: 30px;
						text-align: center;
						letter-spacing: -0.015em;
						text-decoration: underline;
						text-transform: uppercase;

						color: #4C4B5C;
						opacity: 0.7;

						&.hoy
							color white
							text-decoration: none;
							font-weight bold
							background: #0B2E88;
							border-radius: 6px;



				.enlaces
					padding 1rem 0

					a
						font-weight: 600;
						font-size: 15px;
						line-height: 150%;
						letter-spacing: -0.01em;
						text-decoration-line: underline;
						text-transform: lowercase;
						color: #1CCDE6;

			.listas
				grid-area listas

				.lista
					margin  0 0 4rem

					h2
						font-size: 24px;
						line-height: 140%;
						letter-spacing: -0.022em;
						text-transform: uppercase;
						color: #00195A;
						@media (max-width: 768px)
							font-size: 21px

				.caja
					background: #FFFFFF;
					box-shadow: 0px 6px 20px rgba(0, 0, 0, 0.1);
					border-radius: 6px;
					padding 1rem 0.8rem

				.mes
					padding 0 1rem 1rem
					display flex
					justify-content space-between

					font-size: 16px;
					line-height: 150%;
					letter-spacing: -0.015em;
					text-transform: uppercase;
					color: #4C4B5C;
					border-bottom: 2px solid #C7C7D3;
					margin-bottom 1rem
					@media (max-width: 768px)
						padding 0 0rem 0rem


				.eventos
					padding 0.5rem

					.item
						display grid
						grid-template-areas "dia descripcion chevron" \
							"dia enlaces -"
						grid-gap 0.2rem .5rem
						grid-template-columns 3rem 1fr auto
						margin 0 0 1rem

					.vacio
						font-size: 16px;
						line-height: 150%;
						letter-spacing: -0.022em;
						color: #9F9FAE;
						padding 1rem

					.dia
						grid-area dia
						font-weight: bold;
						font-size: 23px;
						line-height: 150%;
						letter-spacing: -0.022em;

						color: #9F9FAE;

					.descripcion
						grid-area descripcion
						font-weight: 500;
						font-size: 15px;
						line-height: 150%;
						letter-spacing: -0.022em;
						color: #00195A;

					.enlaces
						grid-area enlaces

						a
							font-weight: 600;
							font-size: 15px;
							line-height: 150%;

							letter-spacing: -0.022em;
							text-decoration-line: underline;
							text-transform: lowercase;

							color: #1CCDE6;

							.icono
								margin-top 0
								margin-bottom 0

					.chevron
						grid-area chevron
						margin 0
						@media (max-width: 768px)
							margin-top: 5px
							width: 9px










</style>
